"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const runner_1 = require("../runner");
const vscode_languageserver_types_1 = require("vscode-languageserver-types");
class DocumentSymbolProvider {
    constructor(runner = new runner_1.Runner()) {
        this.runner = runner;
    }
    provideDocumentSymbols(textDocument) {
        return this.convertToDocumentSymbol(this.runner.getTestNodes(textDocument.getText(), textDocument.uri), textDocument.uri);
    }
    convertToDocumentSymbol(nodes, uri) {
        return nodes.map((node) => {
            return vscode_languageserver_types_1.SymbolInformation.create(node.name.replace(/.*\\/g, ''), node.class === node.name ? vscode_languageserver_types_1.SymbolKind.Class : vscode_languageserver_types_1.SymbolKind.Method, node.range, uri);
        });
    }
}
exports.DocumentSymbolProvider = DocumentSymbolProvider;
//# sourceMappingURL=document-symbol-provider.js.map